#2826 closed defect (fixed)

arm_cp15_get_translation_table_base_control_register warning.

Reported by: Chris Johns Owned by:
Priority: normal Milestone: 5.1
Component: arch/arm Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

arm_cp15_get_translation_table_base_control_register in c/src/lib/libcpu/arm/shared/include/arm-cp15.h returns a pointer however ttb_cr is not a pointer"

../../cpukit/../../../xilinx_zynq_zedboard/lib/include/libcpu/arm-cp15.h: In function 'arm_cp15_get_translation_table_base_control_register':
../../cpukit/../../../xilinx_zynq_zedboard/lib/include/libcpu/arm-cp15.h:401:10: warning: return makes pointer from integer without a cast [-Wint-conversion]
   return ttb_cr;
          ^~~~~~

Change History (4)

comment:1 Changed on Feb 15, 2017 at 2:10:48 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Oct 16, 2017 at 6:24:30 AM by Sebastian Huber

Component: unspecifiedarch/arm

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.